/* Copyright (C) 2002-2004  The Coaster Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __COASTER_H__
#define __COASTER_H__

#include <glib/gmacros.h>
#include <gconf/gconf-client.h>
                                                                                
G_BEGIN_DECLS

/* Prototypes from preferences.c */
GtkWidget* coaster_preferences_window (gpointer drives_pointer, int n_drives_passed, GCallback* on_close_function);

/* Prototypes from common.c */
gboolean coaster_init (gpointer* drives_pointer, int *n_drives, gboolean debug_on);
gboolean coaster_refresh_drives ();
gboolean coaster_finish ();

/* This gets the GConfClient singleton */
GConfClient* coaster_get_gconf_client ();

/* These functions query gconf for values */
char* coaster_get_read_drive_location (GError* error, GCallback* on_update);
char* coaster_get_write_drive_location (GError* error, GCallback* on_update);
int coaster_get_read_speed (GError* error, GCallback* on_update);
int coaster_get_write_speed (GError* error, GCallback* on_update);
gboolean coaster_get_eject_disc (GError* error, GCallback* on_update);

/* These functions verify that the given information is valid */
gboolean coaster_verify_read_drive_location (gpointer drives, char* location);
gboolean coaster_verify_write_drive_location (gpointer drives, char* location);
gboolean coaster_verify_speed (gpointer drive, int speed);

G_END_DECLS
#endif
